<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'webhopers',

    /*
     * Package.
     */
    'package'   => 'erp',

    /*
     * Modules.
     */
    'modules'   => ['departments'],

    
    'departments'       => [
        'model' => [
            'model'                 => \Webhopers\Erp\Models\Departments::class,
            'table'                 => 'departments',
            'presenter'             => \Webhopers\Erp\Repositories\Presenter\DepartmentsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name'],
            'translatables'         => [],
            'upload_folder'         => 'erp/departments',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Webhopers',
            'package'   => 'Erp',
            'module'    => 'Departments',
        ],

    ],
];
