<?php

namespace Webhopers\Erp;

use User;

class Erp
{
    /**
     * $departments object.
     */
    protected $departments;

    /**
     * Constructor.
     */
    public function __construct(\Webhopers\Erp\Interfaces\DepartmentsRepositoryInterface $departments)
    {
        $this->departments = $departments;
    }

    /**
     * Returns count of erp.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.departments.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->departments->pushCriteria(new \Litepie\Webhopers\Repositories\Criteria\DepartmentsUserCriteria());
        }

        $departments = $this->departments->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('erp::' . $view, compact('departments'))->render();
    }
}
