<?php

namespace Webhopers\Erp\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DepartmentsTransformer extends TransformerAbstract
{
    public function transform(\Webhopers\Erp\Models\Departments $departments)
    {
        return [
            'id'                => $departments->getRouteKey(),
            'key'               => [
                'public'    => $departments->getPublicKey(),
                'route'     => $departments->getRouteKey(),
            ], 
            'id'                => $departments->id,
            'name'              => $departments->name,
            'url'               => [
                'public'    => trans_url('erp/'.$departments->getPublicKey()),
                'user'      => guard_url('erp/departments/'.$departments->getRouteKey()),
            ], 
            'status'            => trans('app.'.$departments->status),
            'created_at'        => format_date($departments->created_at),
            'updated_at'        => format_date($departments->updated_at),
        ];
    }
}